""" Class to help committing changes into the configuration file. """

from ruamel.yaml import YAML
from aya import working_dir


def set_key(key, value):
    yaml = YAML()
    with open(f"{working_dir}/config.yml", "r") as configFile:
        config = yaml.load(configFile)
    config[key] = value
    with open(f"{working_dir}/config.yml", "w") as configFile:
        yaml.dump(config, configFile)


def set_key_deep(key, key1, value):
    yaml = YAML()
    with open(f"{working_dir}/config,yml", "r") as configFile:
        config = yaml.load(configFile)
    config[key][key1] = value
    with open(f"{working_dir}/config.yml", "w") as configFile:
        yaml.dump(config, configFile)
