#!/bin/bash
source venv/bin/activate
_sigterm() {
  echo "Caught SIGTERM, exiting..."
  kill -INT "$pid" 2>/dev/null
}

trap _sigterm SIGTERM

(cd /rc/redis; redis-server > /dev/null) &
(cd /rc/nitori; /usr/bin/env python3 -m nitori) &
pid=$!
wait "$pid"
redis-cli save
redis-cli shutdown